EclipsePlugin (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.eclipse

## [Groovy] Class EclipsePlugin

- org.gradle.plugins.ide.eclipse.EclipsePlugin

- A plugin which generates Eclipse files.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `ECLIPSE_CP_TASK_NAME`
    `static String` | `ECLIPSE_JDT_TASK_NAME`
    `static String` | `ECLIPSE_PROJECT_TASK_NAME`
    `static String` | `ECLIPSE_TASK_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EclipsePlugin (org.gradle.internal.reflect.Instantiator instantiator)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected String` | `getLifecycleTaskName()`
    `void` | `hookDeduplicationToTheRoot(Project project)`
    `void` | `makeSureProjectNamesAreUnique()`
    `protected void` | `onApply(Project project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.IdePlugin` | `org.gradle.plugins.ide.internal.IdePlugin#apply(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#apply(org.gradle.api.Project), org.gradle.plugins.ide.internal.IdePlugin#addWorker(org.gradle.api.Task, boolean), org.gradle.plugins.ide.internal.IdePlugin#addWorker(org.gradle.api.Task), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(org.gradle.api.Task), org.gradle.plugins.ide.internal.IdePlugin#getCleanTask(), org.gradle.plugins.ide.internal.IdePlugin#getLifecycleTask(), org.gradle.plugins.ide.internal.IdePlugin#wait(long, int), org.gradle.plugins.ide.internal.IdePlugin#wait(long), org.gradle.plugins.ide.internal.IdePlugin#wait(), org.gradle.plugins.ide.internal.IdePlugin#equals(java.lang.Object), org.gradle.plugins.ide.internal.IdePlugin#toString(), org.gradle.plugins.ide.internal.IdePlugin#hashCode(), org.gradle.plugins.ide.internal.IdePlugin#getClass(), org.gradle.plugins.ide.internal.IdePlugin#notify(), org.gradle.plugins.ide.internal.IdePlugin#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String ECLIPSE_CP_TASK_NAME

    - #### static final String ECLIPSE_JDT_TASK_NAME

    - #### static final String ECLIPSE_PROJECT_TASK_NAME

    - #### static final String ECLIPSE_TASK_NAME

  - ### Constructor Detail

    - #### @javax.inject.Inject EclipsePlugin(org.gradle.internal.reflect.Instantiator instantiator)

  - ### Method Detail

    - #### @Override protected String getLifecycleTaskName()

    - #### void hookDeduplicationToTheRoot(Project project)

    - #### void makeSureProjectNamesAreUnique()

    - #### @Override protected void onApply(Project project)